unit Unit4;

interface
type
{registro com dados pessoais}
 TPessoasReg=record
 Cod: string[20];
 Nome: string[200];
 Telefone: string[70];
 Bairro: string[100];
 Numero_Res: string[70];
 Numero_Ap: string[70];
 Rua: string[100];
 Referencia: string[100];
end;
 TPessoas = file of TPessoasReg;

var
 PesArq: tPessoas;

/////////////////////////////////////////////////////

 procedure AbrirArq(var A:TPessoas; var NomeArq:string; var N:boolean);
 procedure FecharArq(var A:TPessoas);
 procedure GravarArq(var A:TPessoas;var RegN:integer; var Reg:TPessoasReg);
 procedure LerArq(var A:TPessoas;var RegN:integer; var Reg:TPessoasReg);

implementation

uses
  Unit1,
  Unit5,
  Unit3;
  
procedure AbrirArq(var A:TPessoas; var NomeArq:string; var N:boolean);
begin
 Assign (A,NomeArq);
 if N then
 Rewrite (A)
else
 Reset (A);
end;

procedure FecharArq (var A:TPessoas);
begin
 Close (A);
end;

procedure GravarArq (var A:TPessoas; var RegN:integer; var Reg:TPessoasReg);
begin
 Seek (A,RegN);
 Write (A,Reg);
// Form3.StringGrid1.Columns:= Form3.StringGrid1.Columns + 1;
end;

procedure LerArq (var A:TPessoas; var RegN:integer;var Reg:TPessoasReg);
begin
 Seek (A,RegN);
 Read (A,Reg);
end;

end.

 
 